diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/antenna/test/test-cosine-antenna.cc ns-3.42/src/antenna/test/test-cosine-antenna.cc
--- ns-3.41/src/antenna/test/test-cosine-antenna.cc	2024-02-09 14:44:07.849789600 -0800
+++ ns-3.42/src/antenna/test/test-cosine-antenna.cc	2024-05-29 15:29:46.916073000 -0700
@@ -151,7 +151,7 @@
 };
 
 CosineAntennaModelTestSuite::CosineAntennaModelTestSuite()
-    : TestSuite("cosine-antenna-model", UNIT)
+    : TestSuite("cosine-antenna-model", Type::UNIT)
 {
     // to calculate the azimut angle offset for a given gain in db:
     // phideg = (2*acos(10^(targetgaindb/(20*n))))*180/pi
@@ -166,77 +166,77 @@
                                                0,
                                                0,
                                                EQUAL),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(30), DegreesToRadians(90)),
                                                60,
                                                0,
                                                0,
                                                -3,
                                                EQUAL),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(-30), DegreesToRadians(90)),
                                                60,
                                                0,
                                                0,
                                                -3,
                                                EQUAL),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(-90), DegreesToRadians(90)),
                                                60,
                                                0,
                                                0,
                                                -20,
                                                LESSTHAN),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(90), DegreesToRadians(90)),
                                                60,
                                                0,
                                                0,
                                                -20,
                                                LESSTHAN),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(100), DegreesToRadians(90)),
                                                60,
                                                0,
                                                0,
                                                -20,
                                                LESSTHAN),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(150), DegreesToRadians(90)),
                                                60,
                                                0,
                                                0,
                                                -20,
                                                LESSTHAN),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(180), DegreesToRadians(90)),
                                                60,
                                                0,
                                                0,
                                                -20,
                                                LESSTHAN),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(-100), DegreesToRadians(90)),
                                                60,
                                                0,
                                                0,
                                                -20,
                                                LESSTHAN),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(-150), DegreesToRadians(90)),
                                                60,
                                                0,
                                                0,
                                                -20,
                                                LESSTHAN),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(-180), DegreesToRadians(90)),
                                                60,
                                                0,
                                                0,
                                                -20,
                                                LESSTHAN),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     // test positive orientation
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(60), DegreesToRadians(90)),
@@ -245,77 +245,77 @@
                                                0,
                                                0,
                                                EQUAL),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(90), DegreesToRadians(90)),
                                                60,
                                                60,
                                                0,
                                                -3,
                                                EQUAL),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(30), DegreesToRadians(90)),
                                                60,
                                                60,
                                                0,
                                                -3,
                                                EQUAL),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(-30), DegreesToRadians(90)),
                                                60,
                                                60,
                                                0,
                                                -20,
                                                LESSTHAN),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(150), DegreesToRadians(90)),
                                                60,
                                                60,
                                                0,
                                                -20,
                                                LESSTHAN),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(160), DegreesToRadians(90)),
                                                60,
                                                60,
                                                0,
                                                -20,
                                                LESSTHAN),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(210), DegreesToRadians(90)),
                                                60,
                                                60,
                                                0,
                                                -20,
                                                LESSTHAN),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(240), DegreesToRadians(90)),
                                                60,
                                                60,
                                                0,
                                                -20,
                                                LESSTHAN),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(-40), DegreesToRadians(90)),
                                                60,
                                                60,
                                                0,
                                                -20,
                                                LESSTHAN),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(-90), DegreesToRadians(90)),
                                                60,
                                                60,
                                                0,
                                                -20,
                                                LESSTHAN),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(-120), DegreesToRadians(90)),
                                                60,
                                                60,
                                                0,
                                                -20,
                                                LESSTHAN),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     // test negative orientation and different beamwidths
     // with a 100 deg beamwidth, gain is -20dB at +- 117.47 degrees from boresight
@@ -325,21 +325,21 @@
                                                0,
                                                0,
                                                EQUAL),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(-100), DegreesToRadians(90)),
                                                100,
                                                -150,
                                                0,
                                                -3,
                                                EQUAL),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(-200), DegreesToRadians(90)),
                                                100,
                                                -150,
                                                0,
                                                -3,
                                                EQUAL),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(
         new CosineAntennaModelTestCase(Angles(DegreesToRadians(-32.531), DegreesToRadians(90)),
                                        100,
@@ -347,7 +347,7 @@
                                        0,
                                        -20,
                                        EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new CosineAntennaModelTestCase(Angles(DegreesToRadians(92.531), DegreesToRadians(90)),
                                        100,
@@ -355,42 +355,42 @@
                                        0,
                                        -20,
                                        EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(-30), DegreesToRadians(90)),
                                                100,
                                                -150,
                                                0,
                                                -20,
                                                LESSTHAN),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(0), DegreesToRadians(90)),
                                                100,
                                                -150,
                                                0,
                                                -20,
                                                LESSTHAN),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(60), DegreesToRadians(90)),
                                                100,
                                                -150,
                                                0,
                                                -20,
                                                LESSTHAN),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(90), DegreesToRadians(90)),
                                                100,
                                                -150,
                                                0,
                                                -20,
                                                LESSTHAN),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(30), DegreesToRadians(90)),
                                                100,
                                                -150,
                                                0,
                                                -20,
                                                LESSTHAN),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     // with a 150 deg beamwidth, gain is -10dB at +- 124.93 degrees from boresight, and -20dB at +-
     // 155.32 degrees from boresight
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(-150), DegreesToRadians(90)),
@@ -399,21 +399,21 @@
                                                0,
                                                0,
                                                EQUAL),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(135), DegreesToRadians(90)),
                                                150,
                                                -150,
                                                0,
                                                -3,
                                                EQUAL),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(-75), DegreesToRadians(90)),
                                                150,
                                                -150,
                                                0,
                                                -3,
                                                EQUAL),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(
         new CosineAntennaModelTestCase(Angles(DegreesToRadians(85.070), DegreesToRadians(90)),
                                        150,
@@ -421,7 +421,7 @@
                                        0,
                                        -10,
                                        EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new CosineAntennaModelTestCase(Angles(DegreesToRadians(-25.070), DegreesToRadians(90)),
                                        150,
@@ -429,7 +429,7 @@
                                        0,
                                        -10,
                                        EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new CosineAntennaModelTestCase(Angles(DegreesToRadians(5.3230), DegreesToRadians(90)),
                                        150,
@@ -437,7 +437,7 @@
                                        0,
                                        -20,
                                        EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new CosineAntennaModelTestCase(Angles(DegreesToRadians(54.677), DegreesToRadians(90)),
                                        150,
@@ -445,21 +445,21 @@
                                        0,
                                        -20,
                                        EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(30), DegreesToRadians(90)),
                                                150,
                                                -150,
                                                0,
                                                -20,
                                                LESSTHAN),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(20), DegreesToRadians(90)),
                                                150,
                                                -150,
                                                0,
                                                -20,
                                                LESSTHAN),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     // test flat beam, with beamwidth=360 deg
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(0), DegreesToRadians(90)),
                                                360,
@@ -467,35 +467,35 @@
                                                0,
                                                0,
                                                EQUAL),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(180), DegreesToRadians(90)),
                                                360,
                                                0,
                                                0,
                                                0,
                                                EQUAL),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(-180), DegreesToRadians(90)),
                                                360,
                                                0,
                                                0,
                                                0,
                                                EQUAL),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(0), DegreesToRadians(0)),
                                                360,
                                                0,
                                                0,
                                                0,
                                                EQUAL),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(0), DegreesToRadians(180)),
                                                360,
                                                0,
                                                0,
                                                0,
                                                EQUAL),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     // test maxGain
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(0), DegreesToRadians(90)),
@@ -504,63 +504,63 @@
                                                10,
                                                10,
                                                EQUAL),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(30), DegreesToRadians(90)),
                                                60,
                                                0,
                                                22,
                                                19,
                                                EQUAL),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(-30), DegreesToRadians(90)),
                                                60,
                                                0,
                                                -4,
                                                -7,
                                                EQUAL),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(-90), DegreesToRadians(90)),
                                                60,
                                                0,
                                                10,
                                                -10,
                                                LESSTHAN),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(90), DegreesToRadians(90)),
                                                60,
                                                0,
                                                -20,
                                                -40,
                                                LESSTHAN),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(100), DegreesToRadians(90)),
                                                60,
                                                0,
                                                40,
                                                20,
                                                LESSTHAN),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(-150), DegreesToRadians(90)),
                                                100,
                                                -150,
                                                2,
                                                2,
                                                EQUAL),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(-100), DegreesToRadians(90)),
                                                100,
                                                -150,
                                                4,
                                                1,
                                                EQUAL),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(-200), DegreesToRadians(90)),
                                                100,
                                                -150,
                                                -1,
                                                -4,
                                                EQUAL),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
 
     // test elevation angle
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(0), DegreesToRadians(60)),
@@ -569,56 +569,56 @@
                                                0,
                                                -3,
                                                EQUAL),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(30), DegreesToRadians(60)),
                                                60,
                                                0,
                                                0,
                                                -6,
                                                EQUAL),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(-30), DegreesToRadians(60)),
                                                60,
                                                0,
                                                0,
                                                -6,
                                                EQUAL),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(-90), DegreesToRadians(60)),
                                                60,
                                                0,
                                                0,
                                                -20,
                                                LESSTHAN),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(-180), DegreesToRadians(60)),
                                                60,
                                                0,
                                                0,
                                                -20,
                                                LESSTHAN),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(60), DegreesToRadians(120)),
                                                60,
                                                60,
                                                0,
                                                -3,
                                                EQUAL),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(90), DegreesToRadians(120)),
                                                60,
                                                60,
                                                0,
                                                -6,
                                                EQUAL),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(new CosineAntennaModelTestCase(Angles(DegreesToRadians(30), DegreesToRadians(120)),
                                                60,
                                                60,
                                                0,
                                                -6,
                                                EQUAL),
-                TestCase::QUICK);
+                TestCase::Duration::QUICK);
     AddTestCase(
         new CosineAntennaModelTestCase(Angles(DegreesToRadians(-120), DegreesToRadians(120)),
                                        60,
@@ -626,7 +626,7 @@
                                        0,
                                        -20,
                                        LESSTHAN),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new CosineAntennaModelTestCase(Angles(DegreesToRadians(-150), DegreesToRadians(140)),
                                        100,
@@ -634,7 +634,7 @@
                                        0,
                                        -3,
                                        EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new CosineAntennaModelTestCase(Angles(DegreesToRadians(-100), DegreesToRadians(140)),
                                        100,
@@ -642,7 +642,7 @@
                                        0,
                                        -6,
                                        EQUAL),
-        TestCase::QUICK);
+        TestCase::Duration::QUICK);
     AddTestCase(
         new CosineAntennaModelTestCase(Angles(DegreesToRadians(-200), DegreesToRadians(140)),
                                        100,
